# YAML definition for Appveyor.com continuous integration.
# See http://www.appveyor.com/docs/appveyor-yml

version: '{branch}-{build}'

before_build:
  - 'cmake --version'
  - 'if "%PLATFORM%"=="x64" cmake -G "Visual Studio 12 Win64"'
  - 'if not "%PLATFORM%"=="x64" cmake -G "Visual Studio 12"'

build:
  project: md4c.sln
  verbosity: minimal

skip_tags: true

os:
  - Windows Server 2012 R2

configuration:
  - Debug
  - Release

platform:
  - x64    # 64-bit build
  - win32  # 32-bit build

artifacts:
  - path: $(configuration)/md2html/md2html.exe
